##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/o_custlb.4gs/report.4gl  1.1  Last Delta: 10/25/88
##############################################################################

globals "globals.4gl"

#######################################################################
report report1(rpt)
#######################################################################
#
    define
        rpt record                  # record for the report
            cust_code like strcustr.cust_code,
            bus_name like strcustr.bus_name,
            address1 like strcustr.address1,
            address2 like strcustr.address2,
            city like strcustr.city,
            state like strcustr.state,
            zip like strcustr.zip,
            country like strcustr.country
        end record,
        scratch     char(255),      # scratch string workspace
        dynamic     smallint,       # boolean: Print this line?
        x           smallint        # working number

    output
        top margin      0
        bottom margin   0
        left margin     0
        right margin    33
        page length     6

    order external by rpt.cust_code

    format
        on every row
            need 6 lines
            print
            print
                column   2, rpt.bus_name
            if
                rpt.address1 is not null
            then
                print
                    column   2, rpt.address1
            end if
            if
                rpt.address2 is not null
            then
                print
                    column   2, rpt.address2
            end if
            print
                column   2, rpt.city clipped,
                            "," clipped,
                            " ", rpt.state clipped,
                            " ", rpt.zip clipped,
                            " ", rpt.country
            print

end report
# report1()

