#####################################################################
# Copyright (C) 1988,1989
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/o_invce.4gs/globals.4gl  1.5  Delta: 5/7/90
#####################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        rpt record                  # record for the report
            file_desc char(16),
            line_no like strinvcd.line_no,
            file_type like strinvce.file_type,
            ship_to_code like strinvce.ship_to_code,
            city like strcustr.city,
            state like strcustr.state,
            zip like strcustr.zip,
            country like strcustr.country,
            disc_amount like strinvce.disc_amount,
            disc_debit_credit like strinvce.disc_debit_credit,
            misc_amount like strinvce.misc_amount,
            misc_debit_credit like strinvce.misc_debit_credit,
            tax_amount like strinvce.tax_amount,
            tax_debit_credit like strinvce.tax_debit_credit,
            frght_amount like strinvce.frght_amount,
            frght_debit_credit like strinvce.frght_debit_credit,
            ar_amount like strinvce.ar_amount,
            ar_debit_credit like strinvce.ar_debit_credit,
            amount like strinvcd.amount,
            debit_credit like strinvcd.debit_credit,
            inv_date like strinvce.inv_date,
            inv_no like strinvce.inv_no,
            page_no smallint,
            bus_name like strcustr.bus_name,
            shipbus_name char(30),
            address1 like strcustr.address1,
            shipadd1 char(30),
            address2 like strcustr.address2,
            shipadd2 char(30),
            billadd3 char(35),
            shipadd3 char(35),
            doc_no like strinvce.doc_no,
            cust_code like strinvce.cust_code,
            po_no like strinvce.po_no,
            terms_desc like strtermr.terms_desc,
            billcountry char(20),
            shipcountry char(20),
            quantity like strinvcd.quantity,
            char_qty char(8),
            pack like strinvcd.pack,
            item_no like strinvcd.item_no,
            description like strinvcd.description,
            price like strinvcd.price,
            extension like strinvcd.amount,
            sales_tmp like strinvce.ar_amount,
            disc_tmp like strinvce.disc_amount,
            misc_tmp like strinvce.misc_amount,
            tax_tmp like strinvce.tax_amount,
            frght_tmp like strinvce.frght_amount,
            ar_tmp like strinvce.ar_amount,
            inv_note like strinvce.inv_note
        end record,
        curs record                 # record like the cursor
            line_no like strinvcd.line_no,
            file_type like strinvce.file_type,
            ship_to_code like strinvce.ship_to_code,
            city like strcustr.city,
            state like strcustr.state,
            zip like strcustr.zip,
            country like strcustr.country,
            disc_amount like strinvce.disc_amount,
            disc_debit_credit like strinvce.disc_debit_credit,
            misc_amount like strinvce.misc_amount,
            misc_debit_credit like strinvce.misc_debit_credit,
            tax_amount like strinvce.tax_amount,
            tax_debit_credit like strinvce.tax_debit_credit,
            frght_amount like strinvce.frght_amount,
            frght_debit_credit like strinvce.frght_debit_credit,
            ar_amount like strinvce.ar_amount,
            ar_debit_credit like strinvce.ar_debit_credit,
            amount like strinvcd.amount,
            debit_credit like strinvcd.debit_credit,
            inv_date like strinvce.inv_date,
            inv_no like strinvce.inv_no,
            bus_name like strcustr.bus_name,
            address1 like strcustr.address1,
            address2 like strcustr.address2,
            doc_no like strinvce.doc_no,
            cust_code like strinvce.cust_code,
            po_no like strinvce.po_no,
            terms_desc like strtermr.terms_desc,
            quantity like strinvcd.quantity,
            pack like strinvcd.pack,
            item_no like strinvcd.item_no,
            description like strinvcd.description,
            price like strinvcd.price,
            inv_note like strinvce.inv_note
        end record,
        curs_next record            # next row of cursor
            line_no like strinvcd.line_no,
            file_type like strinvce.file_type,
            ship_to_code like strinvce.ship_to_code,
            city like strcustr.city,
            state like strcustr.state,
            zip like strcustr.zip,
            country like strcustr.country,
            disc_amount like strinvce.disc_amount,
            disc_debit_credit like strinvce.disc_debit_credit,
            misc_amount like strinvce.misc_amount,
            misc_debit_credit like strinvce.misc_debit_credit,
            tax_amount like strinvce.tax_amount,
            tax_debit_credit like strinvce.tax_debit_credit,
            frght_amount like strinvce.frght_amount,
            frght_debit_credit like strinvce.frght_debit_credit,
            ar_amount like strinvce.ar_amount,
            ar_debit_credit like strinvce.ar_debit_credit,
            amount like strinvcd.amount,
            debit_credit like strinvcd.debit_credit,
            inv_date like strinvce.inv_date,
            inv_no like strinvce.inv_no,
            bus_name like strcustr.bus_name,
            address1 like strcustr.address1,
            address2 like strcustr.address2,
            doc_no like strinvce.doc_no,
            cust_code like strinvce.cust_code,
            po_no like strinvce.po_no,
            terms_desc like strtermr.terms_desc,
            quantity like strinvcd.quantity,
            pack like strinvcd.pack,
            item_no like strinvcd.item_no,
            description like strinvcd.description,
            price like strinvcd.price,
            inv_note like strinvce.inv_note
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record,
        sub_total like strinvce.ar_amount, # sales total for each doc#
        page_counter smallint,
        beg_inv integer
end globals

