########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/o_agedtl.4gs/globals.4gl  1.8  Delta: 7/30/90
########################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        m_rcntrc record like strcntrc.*,
        report_sort char(19),
        rpt record                  # record for the report
            main_heading char(35),  
            order_group char(37),
            inv_date like stropend.inv_date,
            balance like stropend.balance,
            due_date like stropend.due_date,
            co_name like stxcntrc.co_name,
            aging_date date,
            date_heading char(8),
            per1_heading like strcntrc.age_dsc1,
            per2_heading like strcntrc.age_dsc2,
            per3_heading like strcntrc.age_dsc3,
            per4_heading like strcntrc.age_dsc4,
            cust_code like strcustr.cust_code,
            bus_name like strcustr.bus_name,
            phone like strcustr.phone,
            po_no like stropend.po_no,
            heading char(10),
            on_acct_amt like strcustr.on_acct_amt,
            inv_no like stropend.inv_no,
            out_date date,
            per1 like stropend.balance,
            per2 like stropend.balance,
            per3 like stropend.balance,
            per4 like stropend.balance,
            sub_total like stropend.balance,
            sub_per1 like stropend.balance,
            sub_per2 like stropend.balance,
            sub_per3 like stropend.balance,
            sub_per4 like stropend.balance,
            tot_total like stropend.balance,
            tot_per1 like stropend.balance,
            tot_per2 like stropend.balance,
            tot_per3 like stropend.balance,
            tot_per4 like stropend.balance
        end record,
        curs record                 # record like the cursor
            inv_date like stropend.inv_date,
            balance like stropend.balance,
            due_date like stropend.due_date,
            on_acct_amt like strcustr.on_acct_amt,
            cust_code like strcustr.cust_code,
            bus_name like strcustr.bus_name,
            phone like strcustr.phone,
            po_no like stropend.po_no,
            inv_no like stropend.inv_no

        end record,
        curs_next record            # next row of cursor
            inv_date like stropend.inv_date,
            balance like stropend.balance,
            due_date like stropend.due_date,
            on_acct_amt like strcustr.on_acct_amt,
            cust_code like strcustr.cust_code,
            bus_name like strcustr.bus_name,
            phone like strcustr.phone,
            po_no like stropend.po_no,
            inv_no like stropend.inv_no
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

