##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/o_crjrnl.4gs/lowlevel.4gl  1.3  Last Delta: 10/24/89
##############################################################################

globals "globals.4gl"

#######################################################################
function before_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "first_row" then
        # insert "on first row" code here
        return
    end if

    if group_key = "doc_no" then
        # insert "before group of doc_no" code here
        return
    end if

    if group_key = "acct_no" then
        # insert "before group of acct_no" code here
        return
    end if

end function
# before_group()

#######################################################################
function on_every_row()
#######################################################################
#  this function prepares the report record from the cursor record
#  and other data.
#
    if curs.debit_credit = "C"
    then
        let rpt.crdr = "CR"
    else
        let rpt.crdr = "DB"
    end if

    let rpt.co_name = m_xcntrc.co_name
#   let rpt.start_date = (MUST SUPPLY)
#   let rpt.end_date = (MUST SUPPLY)
    let rpt.doc_no = curs.doc_no
    let rpt.doc_date = curs.doc_date
    let rpt.doc_desc = curs.doc_desc
    let rpt.inv_chk_no = curs.inv_chk_no
    let rpt.acct_no = curs.acct_no
    let rpt.department = curs.department
    let rpt.acct_desc = curs.acct_desc
    let rpt.amount = curs.amount
#   let rpt.crdr = (MUST SUPPLY)
    return
end function
# on_every_row()

#######################################################################
function after_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "doc_no" then
        # insert "after group of doc_no" code here
        return
    end if

    if group_key = "acct_no" then
        # insert "after group of acct_no" code here
        return
    end if

    if group_key = "last_row" then
        # insert "on last row" code here
        return
    end if

end function
# after_group()


