#####################################################################
# Copyright (C) 1988,1989
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/o_statmt.4gs/globals.4gl  1.3  Delta: 12/11/89
#####################################################################

database standard

globals
    define
        cust_total  like strcustr.stmt_amount, # customer total accum
        entry_date  date,           # statement entered date
        progid   char(17),          # program identification
        rpt record                  # record for the report
            bus_name like strcustr.bus_name,
            address1 like strcustr.address1,
            address2 like strcustr.address2,
            city like strcustr.city,
            state like strcustr.state,
            zip like strcustr.zip,
            ar_type like strcustr.ar_type,
            stmt_cycle like strcustr.stmt_cycle,
            stmt_date like strcustr.stmt_date,
            stmt_amount like strcustr.stmt_amount,
            acct_bal like strcustr.acct_bal,
            on_acct_amt like strcustr.on_acct_amt,
            csz char(40),
            country like strcustr.country,
            cust_code like strcustr.cust_code,
            act_date char(8),
            code1 char(2),
            ref1 char(7),
            chgs char(11),
            crdt char(11),
            bal char(11),
            code2 char(2),
            ref2 char(7),
            amt char(11),
            coment char(30),
            plspay char(11)
        end record,
        curs record                 # record like the cursor
            bus_name like strcustr.bus_name,
            address1 like strcustr.address1,
            address2 like strcustr.address2,
            city like strcustr.city,
            state like strcustr.state,
            zip like strcustr.zip,
            ar_type like strcustr.ar_type,
            stmt_cycle like strcustr.stmt_cycle,
            stmt_date like strcustr.stmt_date,
            stmt_amount like strcustr.stmt_amount,
            acct_bal like strcustr.acct_bal,
            on_acct_amt like strcustr.on_acct_amt,
            country like strcustr.country,
            cust_code like strcustr.cust_code
        end record,
        curs_next record            # next row of cursor
            bus_name like strcustr.bus_name,
            address1 like strcustr.address1,
            address2 like strcustr.address2,
            city like strcustr.city,
            state like strcustr.state,
            zip like strcustr.zip,
            ar_type like strcustr.ar_type,
            stmt_cycle like strcustr.stmt_cycle,
            stmt_date like strcustr.stmt_date,
            stmt_amount like strcustr.stmt_amount,
            acct_bal like strcustr.acct_bal,
            on_acct_amt like strcustr.on_acct_amt,
            country like strcustr.country,
            cust_code like strcustr.cust_code
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

